Create a device group
curl --request POST \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "macOS Tokyo Office",
"conditions": [
{
"attribute": "preset.os",
"operator": "eq",
"value": "macOS",
"logicOperator": "AND"
}
],
"description": "macOS devices in use at the Tokyo Office"
}
'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-groups"
payload = {
"name": "macOS Tokyo Office",
"conditions": [
{
"attribute": "preset.os",
"operator": "eq",
"value": "macOS",
"logicOperator": "AND"
}
],
"description": "macOS devices in use at the Tokyo Office"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'macOS Tokyo Office',
conditions: [{attribute: 'preset.os', operator: 'eq', value: 'macOS', logicOperator: 'AND'}],
description: 'macOS devices in use at the Tokyo Office'
})
};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 1,
"name": "macOS Tokyo Office",
"description": "macOS devices in use at the Tokyo Office",
"deviceCount": 42,
"conditions": [
{
"attribute": "preset.os",
"operator": "eq",
"value": "macOS",
"logicOperator": "AND"
}
],
"isDefault": false,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Devices
Create a device group
Create a device group from a set of matching conditions.
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
device-groups
Create a device group
承認
パスパラメータ
ボディ
application/json
レスポンス
例:
1
例:
"macOS Tokyo Office"
例:
"macOS devices in use at the Tokyo Office"
Number of devices matching the group conditions
例:
42
Conditions defining which devices belong to this group
Show child attributes
Show child attributes
True for built-in PC/Phone/Other groups
例:
false
最終更新日 2026年9月15日
このページは役に立ちましたか?

